CALIBRE-DEBUG(1)

NAME
calibre-debug - calibre-debug

    calibre-debug [pilihan]

Various command line interfaces useful for debugging calibre. With no options, this command starts an embedded Python interpreter. You can also run the main calibre GUI, the calibre E-book viewer and the calibre editor in debug mode.

It also contains interfaces to various bits of calibre that do not have dedicated command line tools, such as font subsetting, the E-book diff tool and so on.

You can also use calibre-debug to run standalone scripts. To do that use it like this: calibre-debug -e myscript.py -- --option1 --option2 file1 file2 ...

Everything after the -- is passed to the script. You can also use calibre-debug as a shebang in scripts, like this: #!/usr/bin/env -S calibre-debug -e -- --

Whenever you pass arguments to calibre-debug that have spaces in them, enclose the arguments in quotation marks. For example: "/some path/with spaces"

[PILIHAN]

--add-simple-plugin
    Tambah pemalam mudah (iaitu pemalam yang mengandungi fail .py sahaja), dengan menyatakan laluan ke fail py yang mengandungi kod pemalam.

--command, -c
    Jalankan kod Python.

--debug-device-driver, -d
    Nyahpepijat pengesanan peranti

--default-programs
    (Nyah)daftar calibre dari Program Lalai Windows. --default-programs = (register|unregister)

--diff
    Jalankan alat diff calibre. Contohnya: calibre-debug --diff file1 file2

--edit-book
    Lancarkan alat "Sunting buku" dalam mod nyahpepijat.

--exec-file, -e
    Jalankan kod Python dalam fail.

--explode-book, -x
    Explode the book into the specified folder. Usage: -x file.epub output_dir Exports the book as a collection of HTML files and metadata, which you can edit using standard HTML editing tools. Works with EPUB, AZW3, HTMLZ and DOCX files.

--export-all-calibre-data
    Export all calibre data (books/settings/plugins). Normally, you will be asked for the export folder and the libraries to export. You can also specify them as command line arguments to skip the questions. Use absolute paths for the export folder and libraries. The special keyword "all" can be used to export all libraries. Examples: calibre-debug --export-all-calibre-data # for interactive use calibre-debug --export-all-calibre-data /path/to/empty/export/folder /path/to/library/folder1 /path/to/library2 calibre-debug --export-all-calibre-data /export/folder all # export all known libraries

--fix-multiprocessing
    For internal use

--gui, -g
    Jalankan GUI dengan penyahpepijatan dibenarkan. Output nyahpepijat dicetak ke stdout dan stderr.

--gui-debug
    Jalankan GUI dengan konsol nyahpepijat, mengelog ke laluan yang dinyatakan. Untuk kegunaan dalaman sahaja, guna pilihan -g untuk jalankan GUI dalam mod nyahpepijat

--help, -h
    tunjuk mesej bantuan ini dan keluar

--implode-book, -i
    Ledakkan buku terledak sebelum ini. Penggunaan: -i output_dir file.epub Import buku dari fail dalam output_dir yang telah dihasilkan oleh perintah terdahulu --explode-book. Pastikan jenis fail yang sama dinyatakan.

--import-calibre-data
    Import data calibre diimport sebelum ini

--inspect-mobi, -m
    Periksa fail MOBI pada laluan yang dinyatakan

--kepubify
    Convert the specified EPUB file to KEPUB without doing a full conversion. This is what the Kobo driver does when sending files to the device.

--paths
    Outputkan laluan yang perlu untuk pasang persekitaran calibre

--run-plugin, -r
    Run a plugin that provides a command line interface. For example: calibre-debug -r "Plugin name" -- file1 --option1 Everything after the -- will be passed to the plugin as arguments.

--run-test, -t
    Run the named test(s). Use the special value "all" to run all tests. If the test name starts with a period it is assumed to be a module name. If the test name starts with @ it is assumed to be a category name.

--run-without-debug
    Don't run with the DEBUG flag set

--shutdown-running-calibre, -s
    Menyebabkan calibre sedang dijalankan, jika ada, akan ditutup. Perhatian jika terdapat kerja berjalan, ia akan dihenti paksa secara senyap, oleh itu guna dengan hati-hati.

--subset-font, -f
    Subset fon yang dinyatakan. Guna -- selepas pilihan ini untuk melepaskan pilihan ke program subsetting fon.

--test-build
    Uji modul binari dalam binaan

--un-kepubify
    Convert the specified KEPUB file to EPUB without doing a full conversion. This is what the Kobo driver does when importing files from the device.

--version
    tunjuk nombor versi program dan keluar

--viewer, -w
    Jalankan pelihat E-buku dalam mod nyahpepijat

AUTHOR
Kovid Goyal

COPYRIGHT
Kovid Goyal